Page 1 of 1

Compatibility between integrated Subversive and TortoiseSVN

Posted: Tue Jan 16, 2007 8:39 am
by tv
I used TortoiseSVN 1.4.1 on one of my projects in the workspace to set a tag. Now the Fasttrack-1.0 integrated Subversive client (1.0.3) does not recogize the working copy anymore.

Is that supposed to be the case? Maybe a known compatibility issue? How to resolve it?

Posted: Sat Jan 20, 2007 12:57 pm
by cmenzel
I can confirm this problem. Whenever TortoiseSVN touches the working copy, Subversive gets confused afterwards. I thought the working copy file format was standardised - what is the problem here?

Thanks
Carl-Eric

SVN 1.4 working copy format has changed

Posted: Tue Feb 13, 2007 7:50 pm
by awilkins
The SVN working copy format changed at version 1.4, to provide some optimizations (the metadata is stored as KV pairs instead of XML for one thing).

SVN 1.4 clients will upgrade working copies to this format silently on contact. There are no tools to reverse this change ; you can download a 1.3 version of the command line client, delete your existing working copy and do a checkout of the material using the old client.

If you want to continue tagging using TSVN, use the repo browser without pointing the client at your working copy, or downgrade to a 1.3 version.

What would be ideal would be a build of FastTrack that supports the Subversive 1.1 client, which in turn supports SVNKit 1.1 (JavaSVN supporting SVN 1.4). But that appears to be absent from downloads.

Posted: Wed Feb 14, 2007 2:04 pm
by Stepan Roh
FastTrack 1.1 with support for Subversive 1.1 (and thus SVN 1.4) will be out together with release of Subversive 1.1 (which is still in development). The expected time is April/May.

Posted: Fri Feb 23, 2007 9:02 am
by JiriWalek
I confirm that FastTrack 1.1 with Subversive 1.1 that supports new svn metadata format correctly should be released in the beginnig of March.